<?php
class utilTimestamp{
	/* devuelve o convierte la fecha y hora al formato del sistema */
	static function getTimestamp($dTamestamp=null,$cFormat=null){
		try {
			$dReturn=null;
			if($dTamestamp){
				$dReturn=preg_replace('/:[0-9][0-9][0-9]/','',$dTamestamp);
				if($cFormat){
					$dReturn=strtotime($dReturn);
					if($dReturn===-1 || $dReturn===false){throw new Exception("'".$dTamestamp."' no tiene un formato de fecha válido.");}
					$dReturn=date($cFormat,$dReturn);
				}
			}
		} catch (Exception $oError) {
			throw new Exception($oError->getMessage());
		}
		return $dReturn;
	}
}